# -*- coding: utf-8 -*-
'''
Created on 19/lug/2011

@author: simone cittadini
'''
from django.conf import settings
from django.shortcuts import render_to_response

from video.models import AreaVideo, Video

def get_nomi_aree():
    output = []
    for a in AreaVideo.objects.all():
        output.append((a.nome, a.nome))
    return output

class Gadget:

    def __init__(self):
        pass

    def gadget_info(self):
        fields = [
                {'title':'numero di video mostrati',
                 'id':'num_video',
                 'type':'text',
                 'value':'1'},
                {'title': 'area',
                 'id': 'area_video',
                 'type': 'choice',
                 'choices': get_nomi_aree(),
                 'value': 'Eventi'},
                  ]
        return {'name': 'gadget_last_videos',
                'title': 'Video tutorial',
                'description': 'desc ultimi video',
                'colour': 'color-green',
                'icon': '%sidashboard/img/circle.png' % settings.MEDIA_URL,
                'fields': fields}

    def view(self, request, dashboard_item):
        configurato = True
        try:
            options = dashboard_item.get_extra_fields()
            num_video = options['num_video']
            area = AreaVideo.objects.get(nome=options['area_video'])
            latest_video = Video.objects.filter(area_video__exact=area)[0:num_video]
        except AreaVideo.DoesNotExist:
            configurato = False
        return render_to_response('idashboard/gadgets/gadget_last_video.html',
                                  locals())
