# -*- coding: utf-8 -*-
'''
Created on 31/ott/2011

@author: simone cittadini
'''
from django import forms

from jcmspress.models import AreaPress, Press


class RicercaPressForm(forms.Form):
    meseanno = forms.ChoiceField()
    sezione = forms.ChoiceField()
    testata = forms.ChoiceField()
    parola_chiave = forms.CharField(required=False)
    
    def __init__(self, *args, **kwargs):
        super(RicercaPressForm, self).__init__(*args, **kwargs)
        self.fields['sezione'].choices = ((None, ''),)
        self.fields['sezione'].choices.extend(AreaPress.get_aree())
        self.fields['meseanno'].choices = ((None, ''),)
        self.fields['meseanno'].choices.extend(Press.get_meseanno())
        self.fields['testata'].choices = ((None, ''),)
        self.fields['testata'].choices.extend(Press.get_testate())
