# -*- coding: utf-8 -*-
'''
Created on 13/lug/2011

@author: simone cittadini
'''
import string

from django.views.generic.list_detail import object_list, object_detail

from jumbo.shortcuts import render_to_response

from models import FileSystemLink


def dir(request, rpath, template_name='jcmsfilebrowser/dir.html'):
    files = FileSystemLink.get_files_under(rpath)
    meta = FileSystemLink.get_metadata(rpath)
    splitted = rpath.split('/')
    nome = splitted[len(splitted)-1]
    if nome[0:1] == '0':
        nome = nome[3:]
    parole = nome.replace('_', ' ')
    nicename = string.capwords(parole)
    return render_to_response(template_name,
                              files=files,
                              meta=meta,
                              nicename=nicename)
