# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Adding field 'Video.likes'
        db.add_column('video_video', 'likes', self.gf('django.db.models.fields.PositiveIntegerField')(default=0), keep_default=False)

        # Adding field 'Video.dislikes'
        db.add_column('video_video', 'dislikes', self.gf('django.db.models.fields.PositiveIntegerField')(default=0), keep_default=False)

        # Adding field 'Video.visualizzazioni'
        db.add_column('video_video', 'visualizzazioni', self.gf('django.db.models.fields.PositiveIntegerField')(default=0), keep_default=False)

    def backwards(self, orm):
        
        # Deleting field 'Video.likes'
        db.delete_column('video_video', 'likes')

        # Deleting field 'Video.dislikes'
        db.delete_column('video_video', 'dislikes')

        # Deleting field 'Video.visualizzazioni'
        db.delete_column('video_video', 'visualizzazioni')

    models = {
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'video.areavideo': {
            'Meta': {'object_name': 'AreaVideo'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'numero_video_mostrati': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'ordinale_pagina': ('django.db.models.fields.PositiveIntegerField', [], {'unique': 'True'}),
            'placeholder_sottotitolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_sottotitolo_areavideo'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_titolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_titolo_areavideo'", 'null': 'True', 'to': "orm['cms.Placeholder']"})
        },
        'video.video': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'Video'},
            'area_video': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'video_area'", 'to': "orm['video.AreaVideo']"}),
            'descrizione': ('django.db.models.fields.TextField', [], {}),
            'dislikes': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'likes': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'sottotitolo': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'thumb': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'titolo': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'visualizzazioni': ('django.db.models.fields.PositiveIntegerField', [], {'default': '0'})
        }
    }

    complete_apps = ['video']
